Emacs 24.4

4 replies [Last post]
jeko
Offline
Joined: 12/08/2017

Salut les Trisquelions !

Utilisateur de Spacemacs, je cherche a installer Emacs 24.4 dans une Trisquel 7, si quelqu'un a des pistes je suis preneurs...

Magic Banana

I am a member!

Offline
Joined: 07/24/2010

Pourquoi 24.4 spécifiquement ? Ce n’est pas même la dernière version de la branche 24. Pourquoi pas 25 ?

Exécute 'sudo add-apt-repository ppa:kelleyk/emacs' pour que, suite à une actualisation des informations sur les paquets (via, par exemple, 'sudo apt-get update') le paquet « emacs25 » (actuellement la version 25.3) soit disponible. 'sudo add-apt-repository ppa:alexmurray/emacs' pour « emacs24 » (actuellement la version 24.5).

Les avertissements habituels sont de mise : Trisquel ne contrôlant pas ces dépôts, les paquets qu’ils distribuent pourraient contenir un maliciel. Aussi, même si ces dépôts ne contiennent pas aujourd’hui de logiciel privateur, ils pourraient en contenir demain et une mise à jour en apparence bénigne pourrait te le faire installer sur ton système. Bref, il te faut avoir confiance aux administrateurs de ces dépôts.

jeko
Offline
Joined: 12/08/2017

J'ai choisi la version 24.4 car c'est la version minimale supportée par Spacemacs. Les version 25 ne sont pas encore toutes supportées.

Je te remercie pour les depots cites je les utiliserai en connaissance de cause !

Une question anodine : est-ce que les version des paquets sont figées d'une release de Trisquel a une autre ? Ou est-ce qu'on peut imaginer qu'un paquet comme Emacs puisse être upgrade dans les dépôts de Trisquel 7 ?

Magic Banana

I am a member!

Offline
Joined: 07/24/2010

D’une manière générale, les versions des paquets dans le dépôt d’une version donnée de Trisquel n’évoluent pas. Les mises à jour ne corrigent que des bogues importants, notamment des failles de sécurité. Seules exceptions à cette règle : les navigateurs Web Abrowser (actuellement en version 56) et IceCat (actuellement en version 52). Néanmoins, il existe une section “backport” du dépôt qui fournit des versions plus récentes de quelques paquets. Tu peux l’activer depuis l’onglet « Mises à jour » de « Logiciels & mises à jour » dans les « Paramètres système ». Mais aucune version plus récente d’Emacs n’a été “backportée”.

jeko
Offline
Joined: 12/08/2017

Merci pour ces précisions Magic Banana !